Debian Bug report logs - #613430
debian-installer will not install grub bootloader on kfreebsd-amd64 system w/ a ZFS partition

version graph

Package: grub-installer; Maintainer for grub-installer is Debian Install System Team <debian-boot@lists.debian.org>; Source for grub-installer is src:grub-installer.

Reported by: Jason Brooks <jbrooks@eweek.com>

Date: Mon, 14 Feb 2011 20:33:01 UTC

Severity: serious

Tags: d-i, sid, wheezy

Found in version grub-installer/1.75

Fixed in version grub-installer/1.76

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jbrooks@eweek.com, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#613430; Package debian-installer. (Mon, 14 Feb 2011 20:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jason Brooks <jbrooks@eweek.com>:
New Bug report received and forwarded. Copy sent to jbrooks@eweek.com, Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 14 Feb 2011 20:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jason Brooks <jbrooks@eweek.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: debian-installer will not install grub bootloader on kfreebsd-amd64 system w/ a ZFS partition
Date: Mon, 14 Feb 2011 12:32:06 -0800
Package: debian-installer
Severity: important
Tags: d-i

I've attempted to install a series of kfreebsd VMs with a ZFS partition on a
debian6 KVM host. I've tried with a UFS root and ZFS home, with a UFS boot and
ZFS root, and with a ZFS root, and in each case, the grub bootloader will not
install.




Bug reassigned from package 'debian-installer' to 'grub-installer'. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Tue, 15 Feb 2011 17:33:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#613430; Package grub-installer. (Tue, 24 Jul 2012 03:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dave Bechtel <kingneutron@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 24 Jul 2012 03:51:03 GMT) Full text and rfc822 format available.

Message #12 received at 613430@bugs.debian.org (full text, mbox):

From: Dave Bechtel <kingneutron@yahoo.com>
To: "613430@bugs.debian.org" <613430@bugs.debian.org>
Subject: Bug verified - GRUB2 will not install on ZFS disk da0
Date: Mon, 23 Jul 2012 20:49:33 -0700 (PDT)
[Message part 1 (text/plain, inline)]
http://ftp.us.debian.org/debian/dists/testing/main/installer-kfreebsd-amd64/current/images/netboot-9/

I am using the current mini.iso from 2012.0712, trying to install Testing--64 in Vmware 8.04


Tried both GPT and MSDOS partition table types.



This is a showstopper for me.  I was wanting to redo the Freebsd/PCBSD9 install on my main server with Kfreebsd.


I really want a ZFS root disk with kfreebsd's package management.  If GRUB2 will not install, please at least provide the traditional FreeBSD boat loader in the netinstall so I can get a working system up and running.



===== Check out System Rescue Live CD:

===== http://distrowatch.com/table.php?distribution=systemrescue


"C00K13 M0N573R 0WNZ J00!! PH34R C00K13 M0N573R 4ND 0SC4R 4ND 3LM0 4ND
5NUFFL3UP46U5 4ND 7H3 31337 535AM3 57R337 CR3W!!"
.dotgoeshere.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#613430; Package grub-installer. (Thu, 26 Jul 2012 23:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 26 Jul 2012 23:30:03 GMT) Full text and rfc822 format available.

Message #17 received at 613430@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: 613430@bugs.debian.org
Cc: "debian-bsd@lists.debian.org" <debian-bsd@lists.debian.org>
Subject: Re: Bug#613430: debian-installer will not install grub bootloader on kfreebsd-amd64 system w/ a ZFS partition
Date: Thu, 26 Jul 2012 23:48:01 +0100
user debian-bsd@lists.debian.org
usertags 613430 kfreebsd
thanks

On 26/07/12 23:09, Dave Bechtel wrote:
> grub-installer: info: Installing grub on '/dev/da0'
> grub-installer: info: Mounting /proc into /target
> main-menu[107]: (process:32067): mount: mounting proc on /target/proc failed: No such device
> main-menu[107]: WARNING **: Configuring 'grub-installer' failed with error code 255

It could be that grub-installer tries to mount with '-t proc' instead of
'-t linprocfs' on GNU/kFreeBSD.  Could be a serious bug as at least
three people have seen this now (including me) and it requires manually
working around from the the installer shell, such as:

# chroot /target /bin/bash
# mount -t linprocfs linprocfs /proc
# update-grub2
# exit

Apparently it is not specific to ZFS.

May be somehow related to http://bugs.debian.org/637684

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#613430; Package grub-installer. (Wed, 01 Aug 2012 15:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 01 Aug 2012 15:45:03 GMT) Full text and rfc822 format available.

Message #22 received at 613430@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>, 613430@bugs.debian.org
Cc: "debian-bsd@lists.debian.org" <debian-bsd@lists.debian.org>
Subject: Re: Bug#613430: debian-installer will not install grub bootloader on kfreebsd-amd64 system w/ a ZFS partition
Date: Wed, 1 Aug 2012 11:42:40 -0400
[Message part 1 (text/plain, inline)]
Steven Chamberlain wrote:
> It could be that grub-installer tries to mount with '-t proc' instead of
> '-t linprocfs' on GNU/kFreeBSD. 

It did. Fixed in git.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#613430; Package grub-installer. (Wed, 01 Aug 2012 19:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 01 Aug 2012 19:36:03 GMT) Full text and rfc822 format available.

Message #27 received at 613430@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Joey Hess <joeyh@debian.org>
Cc: 613430@bugs.debian.org, "debian-bsd@lists.debian.org" <debian-bsd@lists.debian.org>
Subject: Re: Bug#613430: debian-installer will not install grub bootloader on kfreebsd-amd64 system w/ a ZFS partition
Date: Wed, 01 Aug 2012 20:33:11 +0100
severity 613430 serious
found 613430 grub-installer/1.75
tags 613430 + wheezy sid pending
thanks

On 01/08/12 16:42, Joey Hess wrote:
> Steven Chamberlain wrote:
>> It could be that grub-installer tries to mount with '-t proc' instead of
>> '-t linprocfs' on GNU/kFreeBSD. 
> 
> It did. Fixed in git.

That simple, huh.  Thanks for that!

I'm bumping the severity of this if that's okay;  otherwise, I guess
nobody can install GNU/kFreeBSD Wheezy/Sid without poking around in the
shell.

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org



Severity set to 'serious' from 'important' Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Wed, 01 Aug 2012 19:36:05 GMT) Full text and rfc822 format available.

Marked as found in versions grub-installer/1.75. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Wed, 01 Aug 2012 19:36:05 GMT) Full text and rfc822 format available.

Added tag(s) sid, wheezy, and pending. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Wed, 01 Aug 2012 19:36:06 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Fri, 03 Aug 2012 08:51:05 GMT) Full text and rfc822 format available.

Notification sent to Jason Brooks <jbrooks@eweek.com>:
Bug acknowledged by developer. (Fri, 03 Aug 2012 08:51:05 GMT) Full text and rfc822 format available.

Message #38 received at 613430-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 613430-close@bugs.debian.org
Subject: Bug#613430: fixed in grub-installer 1.76
Date: Fri, 03 Aug 2012 08:47:25 +0000
Source: grub-installer
Source-Version: 1.76

We believe that the bug you reported is fixed in the latest version of
grub-installer, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 613430@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated grub-installer package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 03 Aug 2012 09:43:34 +0200
Source: grub-installer
Binary: grub-installer
Architecture: source amd64
Version: 1.76
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 grub-installer - Install GRUB on a hard disk (udeb)
Closes: 613430 637684
Changes: 
 grub-installer (1.76) unstable; urgency=low
 .
   [ Joey Hess ]
   * Fix /proc mounting code to use linprocfs on kFreeBSD. Closes: #613430
   * Remove code that relies on target fstab containing /proc, which it no
     longer does. Closes: #637684
 .
   [ Updated translations ]
   * Irish (ga.po) by Kevin Patrick Scannell
Checksums-Sha1: 
 8ba622f95c59bdbb2dc84bff9cf99231262bcef3 1787 grub-installer_1.76.dsc
 180b704d5cca602872cf25d192d9b9fd3386f206 211227 grub-installer_1.76.tar.gz
 e9b503a112ac666b06f603fe1cd0ddb606607bbe 195352 grub-installer_1.76_amd64.udeb
Checksums-Sha256: 
 356343ede466c199ba6ea0cdd7077e96ece86b18bce69d7bbd15bb348a324bd0 1787 grub-installer_1.76.dsc
 809d679dd58277f807f3beb859cf3b2cbcef0843599381eab9ceca6a3badeb7d 211227 grub-installer_1.76.tar.gz
 73ad5248829d6ca2ffb5080858e3d0b77163cd2c98c87c0f60fdfedd66db3eb8 195352 grub-installer_1.76_amd64.udeb
Files: 
 7dfd141c2ee1ea5256fa91e04a798774 1787 debian-installer standard grub-installer_1.76.dsc
 f72d7329d1e7229317e56a2664ac2a49 211227 debian-installer standard grub-installer_1.76.tar.gz
 fa9f57f20dbb21ea43c6f46ae5385e2c 195352 debian-installer standard grub-installer_1.76_amd64.udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQG4drAAoJEDEBgAUJBeQMiIYP/3qWn/Tp7zoCV6S5N2Av4DbX
KNiV+Wc7PCCQMEmYt9fTpsy/jhcQaxXKCRRLlnIOo5zPbcSCTX7KF5XoBxrUAqNQ
WZ6vvWRG6EUm7bqAt4GhCVhNxGrdl+1cXhap0U6ez0clLk2Lqp7W6WuP7cKkWday
8gSjuKmt/1tbD0CnfNTKQ/LtRVR+LPwXMXwCSY+twiZ7NMmDSkHqmL00ZCr0sjIK
FKQiwYYc8JpLvkfkU0yZyMLO4N0QC1WmiNQIZyY99i4ZVPjR5/gYci1t+eYxRjIr
BQ0+CJpQJv2TIUAyaTc+FSDcZOzRTDosy6+IjYzEpMDFMDzovE2DBiAb7LV1jQNY
Y7uORo23NYLJSClZNBM6vVg8pYiRrgl3PQvGEhV+GCTM6XmI7dcoNisp+eueRPk0
spusC1EBr24ysTMp8bIoQ1/jr1G9sQCOAuCxEv/xMXNQPoy8X+OYJQ+TGEcqqNll
XbwncUIaIcFaauCchZCpTyYoY0z6fVF37x4oiVu5NkWlS24KMUrc32rGvnfkuKGw
G1iQUGxASMkcOzArWN4KUrdDncG1xfCrHiWivZHE3nFfJWyyTDXIHbOvG6xFN+T2
F0100DkKcHoo6CD/fvv0kvLlk54hHawSQui9TPy0SEe4FFhdBrSLnC/2cW4f3fDu
Y5NwurSmnMQjpDaio85p
=y4xZ
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 01 Sep 2012 07:27:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:42:11 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.